package com.ruoyi.invest.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.invest.domain.TProjectInformation;
import com.ruoyi.invest.domain.TProjectMeeting;
import com.ruoyi.invest.mapper.TProjectInformationMapper;
import com.ruoyi.invest.service.ITProjectInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 文件资料Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
@Service
public class TProjectInformationServiceImpl implements ITProjectInformationService
{
    @Autowired
    private TProjectInformationMapper tProjectInformationMapper;

    /**
     * 查询文件资料
     * 
     * @param id 文件资料主键
     * @return 文件资料
     */
    @Override
    public TProjectInformation selectTProjectInformationById(String id)
    {
        return tProjectInformationMapper.selectTProjectInformationById(id);
    }

    /**
     * 查询文件资料列表
     * 
     * @param tProjectInformation 文件资料
     * @return 文件资料
     */
    @Override
    public List<TProjectInformation> selectTProjectInformationList(TProjectInformation tProjectInformation)
    {
        return tProjectInformationMapper.selectTProjectInformationList(tProjectInformation);
    }

    /**
     * 新增文件资料
     * 
     * @param tProjectInformation 文件资料
     * @return 结果
     */
    @Override
    public int insertTProjectInformation(TProjectInformation tProjectInformation)
    {
        tProjectInformation.setCreateTime(DateUtils.getNowDate());
        return tProjectInformationMapper.insertTProjectInformation(tProjectInformation);
    }

    /**
     * 修改文件资料
     * 
     * @param tProjectInformation 文件资料
     * @return 结果
     */
    @Override
    public int updateTProjectInformation(TProjectInformation tProjectInformation)
    {
        tProjectInformation.setUpdateTime(DateUtils.getNowDate());
        return tProjectInformationMapper.updateTProjectInformation(tProjectInformation);
    }

    /**
     * 批量删除文件资料
     * 
     * @param ids 需要删除的文件资料主键
     * @return 结果
     */
    @Override
    public int deleteTProjectInformationByIds(String[] ids)
    {
        return tProjectInformationMapper.deleteTProjectInformationByIds(ids);
    }

    /**
     * 删除文件资料信息
     * 
     * @param id 文件资料主键
     * @return 结果
     */
    @Override
    public int deleteTProjectInformationById(String id)
    {
        return tProjectInformationMapper.deleteTProjectInformationById(id);
    }

    /**
     * 批量删除文件资料
     *
     * @param ids 需要删除的文件资料主键
     * @return 结果
     */
    @Override
    public int updateTProjectInformationByIds(String[] ids) {
        return tProjectInformationMapper.updateTProjectInformationByIds(ids);
    }
    /**
     * 批量删除文件资料
     *
     * @param fileIds 需要删除的文件资料主键
     * @return 结果
     */
    @Override
    public int updateTProjectInformationByFileIds(String[] fileIds) {
        return tProjectInformationMapper.updateTProjectInformationByFileIds(fileIds);
    }
    /**
     * 根据项目ID获取会议记录
     * @param projectPoolId
     * @return
     */
    @Override
    public List<TProjectInformation> listProjectPoolId(String projectPoolId) {
        return tProjectInformationMapper.listProjectPoolId(projectPoolId);
    }
}
